Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Pi 4 Rail Shooter MAME 2003 Question :



  • Just came across this Rail Shooter for mame 2003 " Carn Evil "

    Really would love to try this game , it just looks cool

    I'm running a Pi 4

    The game is very Heavy it seems

    It's very sluggish on the Pi 4

    " I remember running crypt killer on the Pi 3 & it was just as sluggish , now on the Pi 4 Cypt killer runs amazing !!!!"

    About this game

    Not sure how to tweak it for it to be playable

    What should I do

    Any advice

    Thank you all in advance



  • @ mahoneyt944

    Hi mahoneyt944

    Sorry to disturb you

    I know I asked you for help with lucky and wild

    But if you get a chance to try this game or test this game , do you know if it works on mame 2003 on Pi 4

    Game is "Carn Evil"



  • @escc1986 well I only use a rpi3, and it runs in the core but it's so slow on my rpi3 it's almost stopped. Not playable from what I've tested. Need better hardware for this one. It also requires a large chd file.



  • @escc1986 that game uses upgraded killer instinct hardware, so i think you can give up on it except if someone decide to write a dynarec for it (which would require literally hundreds hours of work).



  • @mahoneyt944

    It's ok you run Pi 3 ... I barely got my Pi 4 , so I'm new to this hehe ... I thought I was off by the sluggishness , I tried with the CHD and I thought it was unusual that it took longer to download and the size , but your 100% it's. Large CHD and It requires better hardware

    Thanks for your input , I was really curious about this game



  • @barbudreadmon

    Thank you also for your input , I enjoyed it

    The killer instinct hardware

    Someone would really need to work on it , wow that was a lot to take in ... thank you

    Good to know now , appreciate the extra knowledge you provided



  • @mahoneyt944

    I'm sorry to bother you once again but since you work closely with the Mame2003

    I have a list of light gun Rail Shooters for mame2003 ... well I was curious

    Are there any rare games or games that will work on mame2003 that we are unaware of

    Like for example

    Will Judge Dread , Rail Chase , Lethel enforcers 1 (I know lethal enforcers 2 works)

    Will those games will ever work correctly on mame2003 for light gun support

    Since I have been really getting into Light Gun games , since I have a Dolphen bar with wiimote combo ... it has worked great for these Rail Shooters for mame2003 and I truly thank you for the support you have provided for those games

    But was curious if there are any other Rail Shooters that may work that is unknown.

    Hope you can dig through the games

    Thank you :)



  • @escc1986 typically I work in mame2003-plus then port some of those updates to mame2003 when it can be. My goto emulator is mame2003-plus because it's constantly backporting new changes from newer versions of mame. So it stays very current and is still compatible with lesser hardware and is not bound to a particular rev. The goal is maximum compatibility. You can install this version by going to retropie setup, manage packages, experimental packages, then install mame2003-plus from source.

    As far as lightgun games, I really don't play many. But lately I've been fixing some of these by request. So I'd recommend these which were recently fixed up:

    • Terminator 2
    • Revolution X


  • @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    Someone would really need to work on it

    I doubt that's gonna happen, requests for a dynarec have been there for years but you generally won't see a dynarec request being fulfilled without a bounty (in the thousands), and even after a bounty like this has been accepted, it doesn't mean you'll see it anytime soon. So your best to play kinst is to use a x86 setup.

    @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    Will Judge Dread , Rail Chase , Lethel enforcers 1 (I know lethal enforcers 2 works)

    lethalen and rchase are supported by FBNeo.



  • @escc1986

    Judge Dread , Rail Chase , Lethel enforcers

    Not sure what their status is currently. But if it's just calibration, volume , or other minor things then I'm sure they can be made to work easily. Probably just hasn't been addressed yet. If it's extreme slow downs due to lesser hardware then you have to use a better platform. Problem is, most times we don't know a game is bad unless it's reported. Also check plus to see if they work there. Sometimes fixes are done there that aren't ported back.



  • @mahoneyt944 said in Pi 4 Rail Shooter MAME 2003 Question ::

    Judge Dread , Rail Chase , Lethel enforcers
    Not sure what their status is currently.

    jdredd is midway t-unit, i think mame2003+ has incomplete tms34010 emulation, same as FBNeo
    rchase is sega system16 based, so maybe something about unemulated protection ? i think @arcadez2003 mentioned something about that recently
    lethalen is konami gx based, i think it was added in mame later than 2003



  • @barbudreadmon lethal enforcers is in mame2003-plus's change log as working. Haven't tried it myself though.

    Judge dredd is listed as unemulated protection but I see we support the prototype version. It doesn't show any flags so maybe that one works? Not sure.



  • Lethal Enforcers = tested and working
    Judge Dredd (Midway game) = working if you use the clone prototype rom
    Rail Chase = Sega system y hardware not playable in this core



  • @arcadez2003

    Thank you for the confirmation about

    Lethal Enforcers

    &

    Judge dread clone

    For mame plus

    I personally haven't used the mame plus

    Does mame plus use the light gun support for the Dolphen bar / Wii mote combo ?



  • @mahoneyt944

    Thank you for explaining your part in the Mame community , very interesting and would like to say thank you for all that you do

    I personally haven't used Mame2003 plus ,

    I'm not sure the difference completely

    I was just aware when I got my Dolphen / wiimote combo to just use mame 2003 because the light gun support is the best at the moment .... does mame 2003 plus support light gun support ?

    Thank you for the update info on

    T2

    &

    Rev X

    I will check those out ;)



  • @barbudreadmon

    I appreciate always when you comment as well

    With FBNero , instated i haven't used really

    Does it it have light gun support for the Dolphen bar /wiimote ?

    And I guess since I don't know

    What is the difference between

    FBNero

    &

    Mame2003

    I really appreciate you both are really trying to help me and it truly helps to understand



  • @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    Does it it have light gun support for the Dolphen bar /wiimote ?

    Yes, you just need to set lightgun as device type in Quick Menu > Controls > Port 1 controls

    @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    What is the difference between
    FBNero
    &
    Mame2003

    MAME2003 = MAME from 17 years ago, meaning it doesn't benefit from the things MAME fixed since then (for the most part, there might be a few exceptions), it uses arcade romsets from 17 years ago

    MAME2003+ = MAME2003 + many fixes/additions from later MAME versions, it uses a mix of MAME2003 romsets and more recent/better arcade romsets

    FBNeo = active arcade emulator with fixes/additions on an almost daily basis, it uses the latest/best known version of the arcade romsets. It also has overall better support for retroarch features (runahead, netplay, retroachievements, ...)

    FBNeo and MAME2003+ are complementary because some games are supported by one and not the other.



  • @barbudreadmon

    Thank you !!!! it truly means alot for you to inform me all these different core emulators for arcade , it means alot

    also thank you for informing me about the light gun support , your very helpful

    ...

    side topic .... i notice you work with a saturn core ... any suggestings on a good working saturn core for the pi 4 ?

    also im curious , any chance do you know if we will ever see the light of any new jurassic park light gun arcade games (besides the great classic that we all know in mame2003) ?

    you also work with flycast , i just discovered it and think its amazing ... any chance we can get a full working ninja assult with better light gun support ... i was able to get the light gun to work ... but the first level there is a glitch where you can not get past the first level ?

    hope you may answer my questions ... thank you



  • @barbudreadmon

    my mistake , i applogies for my clarifcation ....

    the judge dread game i wanted was the beat em up version ... but i was actually wondering about the judge dread rail shooter

    Judge Dredd (Rev B Nov. 26 1997)

    do you know if this one is functional on any of the arcade emulators you mentioned ?



  • @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    side topic .... i notice you work with a saturn core ... any suggestings on a good working saturn core for the pi 4 ?

    yabasanshiro standalone would be your best bet, but pi4's gpu is still too crappy to play any saturn game at full speed (some less demanding games might almost run at full speed).

    @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    also im curious , any chance do you know if we will ever see the light of any new jurassic park light gun arcade games (besides the great classic that we all know in mame2003) ?

    sega system 32's jpark has sequels on sega model 3, maybe they are playable with supermodel emulator, but that's also probably too much for a pi.

    @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    you also work with flycast , i just discovered it and think its amazing ... any chance we can get a full working ninja assult with better light gun support ... i was able to get the light gun to work ... but the first level there is a glitch where you can not get past the first level ?

    No idea, i did the initial work to get naomi/atomiswave working on reicast/flycast, but since then i only did small contributions from time to time. You should report the issue at https://github.com/libretro/flycast/issues

    @escc1986 said in Pi 4 Rail Shooter MAME 2003 Question ::

    do you know if this one is functional on any of the arcade emulators you mentioned ?

    The rail shooter which is running on psx arcade hardware should be playable on current mame, maybe mame2016 too, the beat'em'up on T-Unit is actually jdreddp, sorry for my mistake above



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.